<div *ngIf="mode == 'routes'">
  <ng-container *ngFor="let elm of routes; let i = index;">
    <app-card-template>
      <div *ngIf="elm != null">
        <p>Route {{elm.originType}}</p>
        <p>Distanz {{elm.routeInformation.distance / 1000}}km</p>
        <p></p>
        <p>Travel Time</p>
        <p>{{elm.routeInformation.travelTime / 60 | number}} Minuten</p>
      </div>
    </app-card-template>
  </ng-container>
</div>

<div *ngIf="mode == 'locations'">
  <ng-container *ngFor="let elm of points; let i = index;">
    <div *ngIf="elm != null">
      <p>Location {{ elm.typeOrigin}}</p>
      <p>{{elm.location.latitude}}</p>
      <p>{{elm.location.longitude}}</p>
      <p>{{elm.address.street}} {{elm.address.houseNumber}} {{elm.address.city}}</p>
    </div>

  </ng-container>


</div>
